
import xhr from 'src/utils/xhr/microXhr';

export default class videoCommentSrv{
  
  
   /**
   * 获取题库评论-getQuestComment
   * @param { int } questionID - 
   * @param { int } subjectID - 
   * @param { int } page - 
   * @param { int } pageSize - 
   * @return {Promise<any>}
   */
  static questions({ questionID, subjectID, page, pageSize }) {
    return xhr({
      method: 'post',
      url: `/comments/questions`,
      data: { questionID, subjectID, page, pageSize },
      custom: arguments[1]
    })
  }
  
   /**
   * 创建题库评论-addQuestonComment
   * @param { int } type - 题库评论为 3
   * @param { string } content - 内容
   * @param { int } device - 设备
   * @param { int } fk - 题目ID
   * @param { int } fkSub - 科目ID
   * @return {Promise<any>}
   */
  static comments({ type, content, device, fk, fkSub }) {
    return xhr({
      method: 'post',
      url: `/comments`,
      data: { type, content, device, fk, fkSub },
      custom: arguments[1]
    })
  }
  
   /**
   * 创建回复-addQuestCommentReply
   * @param { int } commentID - 评论ID
   * @param { string } content - 
   * @param { string } device - 1 电脑 2 手机
   * @param { string } targetUserID - 回复目标用户ID
   * @param { string } attribute - 1 学员 2 老师
   * @return {Promise<any>}
   */
  static replies({ commentID, content, device, targetUserID, attribute }) {
    return xhr({
      method: 'post',
      url: `/comments/replies`,
      data: { commentID, content, device, targetUserID, attribute },
      custom: arguments[1]
    })
  }
  
   /**
   * 获取实操热门问答-getHotAnswer
   * @param { undefined } tagID - 
   * @param { undefined } tagNum - 
   * @return {Promise<any>}
   */  
  static getHotDialog({ tagID, tagNum }) {
    return xhr({
      url: `/comments/getHotDialog`,
      params: { tagID, tagNum },
      custom: arguments[1]
    })
  }
  
   /**
   * 获取题目解析视频评论
   * @param { int } videoID - 题目解析视频ID
   * @param { int } page - 
   * @param { int } pageSize - 
   * @return {Promise<any>}
   */  
  static quesVideoComments({ videoID, page, pageSize }) {
    return xhr({
      url: `/comments/quesVideoComments`,
      params: { videoID, page, pageSize },
      custom: arguments[1]
    })
  }
}