import Vue from 'vue';
import ltJs from 'lt-js';

const filters = {
  datePipe(timestamp) {
    let date  = new Date(timestamp);
    let year  = date.getFullYear();
    let month = date.getMonth() + 1;
    let day   = date.getDate();
    month     = month < 10 ? '0' + month : month;
    day       = day < 10 ? '0' + day : day;
    return `${year}年${month}月${day}日`;
  },
  // 数字转为大写字母
  numToLetter(param) {
    if (typeof param == 'number' || typeof param == 'string') {
      if (param === '') return '';
      return String.fromCharCode(+param + 65);
    }
    if (typeof param == 'array' || typeof param == 'object') {
      let _param = [];
      for (let key in param) {
        _param[key] = String.fromCharCode(+param[key] + 65);
      }
      return _param;
    }
  },
  toString(val) {
    return String(val);
  },
  dateDiff(dateTimeStamp) {
    return ltJs.dateDiff(dateTimeStamp);
  },
  // 视频课程时长转换过滤器
  lessonTimeLength(value) {
    if (value > 0) {
      var min = Math.floor(value / 60);
      var sec = value % 60;
      min     = min >= 10 ? min : '0' + min;
      sec     = sec >= 10 ? sec : '0' + sec;
      return min + ':' + sec;
    }
  },
};

Object.keys(filters).forEach(k => Vue.filter(k, filters[k]));