import 'babel-polyfill';
import './filters';
import {LessonComment, VideoComment} from './components/Comment';
import {LessonList} from './components/Lesson';
import CoursewareList from './components/CoursewareList';
import HandoutsList from './components/HandoutsList';
import TaxkeQuestion from './components/TaxkeQuestion';
import WxPerfect from './components/WxPerfect';
import Interlocution from './components/Interlocution';
import {LiveCourse} from './components/User';
import {UserLive} from './components/UserLive';
import pdfPreview from './components/pdfPreview';
import './styles/index.scss';

const kyyCom = {
  LessonList,
  LessonComment,
  VideoComment,
  CoursewareList,
  TaxkeQuestion,
  WxPerfect,
  Interlocution,
  UserLive,
  LiveCourse,
  HandoutsList,
  pdfPreview,
};

const install = function (Vue, opts = {}) {
  Object.keys(kyyCom).forEach((key) => {
    Vue.component(key, kyyCom[key]);
  });
};

// auto install
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

const exportObj = Object.assign(kyyCom, {install});
export default exportObj;
