
function livePlayText(start_time, end_time) {
  // 如果直播结束时间与直播开始时间没有
  if (!start_time || !end_time) {
    return '';
  }

  var message;
  var nowTime = Date.now();
  if (start_time) {
    // safari 必须为'/'不能为'-'
    var liveTime      = new Date(start_time.replace(/-/g, '/')).getTime();
    var liveEndTime   = new Date(end_time.replace(/-/g, '/')).getTime();
    var totalLiveTime = ((liveEndTime - liveTime) / 3600 / 1000).toFixed(3);
    // console.log(totalLiveTime);
    var diffHour      = ((liveTime - nowTime) / 3600 / 1000).toFixed(3);
    // console.log(diffHour);
    if (diffHour >= 1) {
      message = 'notStart';
    } else if (diffHour >= 0) {
      message = 'enterLive';
    } else if (diffHour >= -totalLiveTime) {
      message = 'living';
    } else if ((Math.abs(diffHour) - totalLiveTime) <= 1) {
      message = 'waitPlayBack';
    } else {
      message = 'playBack';
    }
  }
  else {
    message = 'playBack';
  }
  return message;
}

function liveStartTime(starTime) {
  var now      = Date.now();
  var liveTime = new Date(starTime.replace(/-/g, '/'));
  var diffHour = (liveTime - now) / 3600 / 1000;
  var day      = Math.floor(diffHour / 24);
  var hour     = Math.floor(diffHour % 24);
  var min      = Math.floor((diffHour - Math.floor(diffHour)) * 60);
  var datText  = day != 0 ? day + ' 天 ' : '';
  return datText + hour + ' 小时 ' + min + ' 分 ';
}

/**
 * 直播课时跳转状态
 * @param lesson
 */
function liveLogic(activateStatus) {
  switch (activateStatus) {
    case '0': {
      return 'needActive';
    }
      break;
    case '1': {
      return 'jump';
    }
      break;
  }
}

/**
 * 直播跳转href
 * @param lesson
 */
function liveJumpStateHref(mediaId) {
  return '/new/home/webcast/join/id/' + mediaId;
}

export {
  livePlayText,
  liveStartTime,
  liveLogic,
  liveJumpStateHref
};